Welcome!

1-abc.net Birthday Reminder
Never forget to congratulate again!

As a user of 1-abc.net Birthday Reminder you will never forget the birthday of your friends, relatives and partners again.

There are many ways and possibilities to remind you about birthdays on your computer, but most of them are just too complicated. 1-abc.net Birthday Reminder makes it much easier: A message pops up on the day when you want to be reminded, and you can decide if you want to have this when Windows starts or if you want to run the program nearly unrecognizable in the background.

Let us be honest: would it not make sense to be reminded about the birthday a bit earlier additionally? With 1-abc.net Birthday Reminder you can select, how many days before you want to know about the next birthday - and you will never forget to buy a birthday gift anymore!

Of course there are many other useful features that make birthday reminding easier: Backup or import your birthday file to share the birthday list with friends, colleagues and relatives, add comments to the reminding messages, let the program open any file (e.g. a list of possible gifts or a picture from the person that you want to call) on birthday or just let it open a website that you wanted to be reminded too on that day.

1-abc.net Birthday Reminder helps you that you will never forget a birthday again!

Feature Overview:

  • Easy-to-use interface
  • Add, edit and delete new and existing birthday entries
  • Import and backup feature for birthday lists
  • Pre-Reminder for reminding messages one time or for a period before the birthday
  • Configurable birthday comments
  • Configurable file starter on birthday
  • Can also be used as reminder for anniveraries, wedding days and so on
  • Export feature to *.txt and *.sqlite
  • Switch between different date formats
  • Filter screen to get an overview about entries matching your search
  • Configure path of birthday file
  • Print out all your birthdays
  • Import your birthday lists from or to *.csv
  • Remove all birthday entries or all duplicates with just one click
  • Auto backup reminder for birthday data
  • Full screen view bý default or by option
  • Open your default e-mail client on a birthday to send personalized congratulations
  • Program can be installed on USB sticks, camera cards or nearly all other re-writable media
  • Very low system resources required

For Windows® XP / Vista / 7 / 8
Chief Developer & Documentation: Stefan Siegert
Copyright 2005-2015 1-abc.net


Using the Main Screen

To work with 1-abc.net Birthday Reminder is very easy. Here you can see how the main screen looks.

When you start the program, you can decide to change the Options or to add, to edit or to delete an entry. You have to select the name of an entry first for deleting and editing. More information about the dialog to add or to edit a birthday entry you can find out here.

To get a filtered overview you can click the 'Filter' button. Read more in this chapter.

Besides your personal birthday list (that is always saved automatically) including the current age of each one in the database you can also see which was the last birhtday and who is the next to congratulate.


Add/Edit Dialog

Here you can see how the add/edit dialog looks:

In the upper part you can enter a name and the kind of entry. As most of the time this will be a birthday, you can keep that as it is. If you want to make an entry for your wedding day or whatever, select that item from the combo box and fill in the field for customized entries if necessary.

Next is the birthday itself. Please note that as long as you do not set the checkbox for 'Year unknown' the year entry must have a length of 4 numbers. You can also click the 'Today' button here, then the birthday fields are filled automatically with the year unknown. You can also use the calandar view on the left side to select any date you like. An additional comment can be entered below that will be shown when the reminding message opens. If you like to start a file together with the birthday reminding message which could make sense if you want to send it to the person then, you can enter the path or select the file to execute using the 'Browse' button. By the way: You can also enter a website URL here, maybe you need this to remember a link or to send an online birhtday card.

If you have a default e-mail client on your system you can activate the option 'Open default e-mail client on birthday to send a personal message.'. When a reminding message appears, you will be able to compose a congratulation message directly after clicking 'OK' on your reminding screen.

At the end of the upper part is the place to configure pre-reminding message. If you want to be reminded about the birhtday earlier additionally, you can enter any number of days here. If it is 0, you will only get the message on the birthday directly. You can set the checkbox right next to it if you like to get a pre-reminding message each day between the pre-reminding period and the birthday, otherwise the pre-remining message is only displayed for one time. The last one in this area is the reminding period in years. Normally the value is 1 (you want to be reminded each year), if you only want to see the message all 5 years or something, just enter the figure here.

At the bottom of the screen you find a possibility to test how the reminding message looks if the birthday would be today and the buttons to cancel the process or to save these settings by clicking on 'OK'.


Options

Options Dialog

This is the options dialog:

The first item enables the startup entry for 1-abc.net Birthday Reminder to allow a birthday check whenever you start your Windows system. That means that you will get current birthday messages or pre-reminding messages right after the booting process. After checking and showing the messages, the program will be closed so that it does not use any system resources.

If you do not turn off your computer at least one time per day, you can select the second option that keeps the program running in the background to allow reminding messages right after midnight. The program behaves the same way as if you would select 'File'-'Minimize to Systray' from the menu.

Normally a file or website path saved together with your birthday message is opened after you received and confirmed the reminding message. If you prefer to get this started directly together with the message, just activate the 3rd check box. If you want to see the reminding message each time you start your Windows PC on a day where you want to be reminded instead of only one time on that day, uncheck check box 4.

If you like to start the program always in full screen mode you can set the 5th checkbox. The 6th one allows you to configure automated backup reminding messages. When the checkbox is set and the days you enter here have passed, you get a warning message when the program starts to remind you that it would be time to backup your backup data. If you confirm this with 'Yes' you can select a path where this backup file will be saved to and you can import your data from there later if you like.

The resetting option makes sense if you turned your system clock forward in the past. Because your birthday reminder messages were shown then as the program thought that it would have been time for it, you won't get these messages a second time if you turned back your system clock. By using the 'Reset' button, you tell the program that it did all reminding messages yesterday so you will see the next reminders again.

The program takes a path for your birthday file automatically. Anyway, if you prefer a different one or if you want to use more than one birthday list at the same time, just click on 'Browse' to determine your data base path. You can also click on 'use program folder' if this makes sense to you. Please note that this may only work when Windows Vista / Windows 7 / Windows 8 User Account Control (UAC) is de-activated.

A last option allows you here to decide how you want to have your date formatted in the main screen.


Filter

Filter Dialog

This is the filter dialog:

Here you can enter any search term and the program will display only matching entries.

Wild cards '%' and '_' are allowed. Example: When you look for Names beginning with 'a' you can enter 'a%' in the name field, names ending on 'o' can be found with '%o'. If you look for birthdays from 2000 and 2009 you can enter '200_'.

The dropdown box below allows you to specify your results even more by sorting out wedding days etc.

After a click on 'OK', the main screen list shows you these results. To keep on working, please click 'Filter off' first.


Menu

File

Import Birthday File
Adds birthdays from another birhtday file to your current birthday file. Use this option, when you want to integrate birthday lists from your friends, colleagues and relatives and select if the version of the program. You can also import birthday data from a *.csv file here. Please make sure that the data is separated by a ';' sign and the the first row must be the headline row which must be formatted as this: Name;Birthday;Comment;Path;PreReminder;LastBirthdayRemind;LastPreRemind;Kind;Period The items 'Birthday', 'Last BirthdayRemind' and 'LastPreRemind' must be in a format 'YYYYMMDD', for the 30th of September 2001 this would be '20010930' for example. If a year of birth is unknown, the program also understands 'uuuu' instead of the year, for this example it would be 'uuuu0930'. The kind of entry can be '@0' for a birthday, '@1' for anniversary, '@2' for a wedding day or anything else for a customized kind of entry. We suggest to export existing data to *.csv first for a better understanding of this format questions.

Save Backup of Birthday File
Saves your birthday file to a destination that you can select previously.

Export Birthday File to *.sqlite
Saves your birthday file to a destination and with a file name that you can select previously.

Export Birthday File to *.txt
Saves your birthdays to a *.txt file on a destination that you can select previously.

Export Birthday File to *.csv
Saves your birthdays to a *.csv file on a destination that you can select previously. Such files can easily be imported in data base tools or MS Excel.

Print Birthdays
Here you can send all your birthday data to a local or network printer. Please make your settings in the dialog displayed here and click on 'OK' to finish printing.

Minimize to Systray
If you want to run the program in the background, which could make sense if you don't turn off your computer, select this option. The program icon will be displayed in the systray at the right bottom of the screen next to the clock. If you click this icon then, you will see the full screen version again.

Language Selection
Use this option to select the program language. If your favourite language is missing you are always welcome to to translate it, just send an e-mail to translations@1-abc.net to get more instructions.

Exit
Select this option to leave the program. Your changes will be saved automatically.

Tools

Add Birthday
The same function as the button in the main screen.

Edit Birthday
The same function as the button in the main screen.

Delete Birthday
The same function as the button in the main screen.

Remove all Birthdays
If you like to empty your birthday list for any reason you can use this option. After a warning message all your data is deleted. Please make sure that you exported or printed out your data before if you should be interested in keeping it somehow.

Delete Duplicate Birthdays
Here you can remove entries that exist more than one time, for example after importing a birthday file. A duplicate is defined as an entry with the same name an the same birthday. After a warning message this data is deleted.

Options
Opens the Options screen.

Register

Get free Trial Key
From the first time you installed this program it runs 10 days for free. You can extend this trial period to 30 days easily when you register for a free trial key. Make sure that you are online. The key will be sent to you by e-mail.

Buy Full Version now
Click here to purchase the product online. You will be connected to an online shop where you have multiple payment options, after your payment is done, the full version key will be sent to you immediately.

Enter Key
When you have a trial key or a full version key you can enter it here to change the behaviour of the program. You should re-start the program after entering the key.

Help

Show Help File
Brings you to this help file. Whether you clicked there to read it now or you pressed “F1” which would be the other way to get it displayed.

Go to 1-abc.net Website
Visit the webpage of 1-abc.net. You will find more information about this product and other software there. Make sure that you are online.

About
Copyright information about this product.


About 1-abc.net …

1-abc.net software is a young and dynamic company, founded 2005, consisting of ambitious and highly experienced developers, marketing experts, distributors, designers, translaters and product managers. The head office is located in Germany, employees and freelancers are working from offices in seven countries all over the world.

1-abc.net's business activities include software development, software distribution and IT consulting. Meanwhile more than Windows tools and utilities are available. And this is what users get:

  • Small setup files that can be downloaded even using slow internet connections
  • Easy installation processes, uninstaller is always included
  • No adware, spyware, popups or whatever extends software nowadays
  • Very easy to handle program interfaces
  • Software that really fulfils the customers’ needs – nothing more, but also nothing less
  • Fast possibility to extend the trial period by obtaining a free registration key
  • Users can also buy 1-abc.net software on CD instead of downloading
Additionally, more and more distribution companies worldwide sell 1-abc.net software as boxes or through other channels licensed under their own label. 1-abc.net Android™ apps for mobile devices, Windows Store Apps and mobile apps for Firefox OS are available from the website http://mobile.1-abc.net.

Support

1-abc.net
Grünenstr. 120
28199 Bremen

Germany

Unfortunately we currently offer NO telephone support, please take a look at this website to find out more or to contact us via e-mail:

http://1-abc.net/support.htm